import { LRParser } from '@lezer/lr';
import { LRLanguage, foldNodeProp, foldInside, LanguageSupport } from '@codemirror/language';
import { styleTags, tags } from '@lezer/highlight';

// This file was generated by lezer-generator. You probably shouldn't edit it.
const
  BASE = 1,
  PREFIX = 2,
  SELECT = 3,
  CONSTRUCT = 4,
  DESCRIBE = 5,
  WHERE = 6,
  DISTINCT = 7,
  REDUCED = 8,
  STR = 9,
  LANG = 10,
  LANGMATCHES = 11,
  DATATYPE = 12,
  ASK = 13,
  BOUND = 14,
  IRI = 15,
  URI = 16,
  BNODE = 17,
  RAND = 18,
  ABS = 19,
  CEIL = 20,
  FLOOR = 21,
  ROUND = 22,
  CONCAT = 23,
  STRLEN = 24,
  UCASE = 25,
  LCASE = 26,
  ENCODE_FOR_URI = 27,
  CONTAINS = 28,
  STRSTARTS = 29,
  STRENDS = 30,
  STRBEFORE = 31,
  STRAFTER = 32,
  YEAR = 33,
  MONTH = 34,
  DAY = 35,
  HOURS = 36,
  MINUTES = 37,
  SECONDS = 38,
  TIMEZONE = 39,
  TZ = 40,
  NOW = 41,
  UUID = 42,
  STRUUID = 43,
  MD5 = 44,
  SHA1 = 45,
  SHA256 = 46,
  SHA384 = 47,
  SHA512 = 48,
  COALESCE = 49,
  IF = 50,
  STRLANG = 51,
  STRDT = 52,
  SAMETERM = 53,
  ISIRI = 54,
  ISURI = 55,
  ISBLANK = 56,
  ISLITERAL = 57,
  ISNUMERIC = 58,
  COUNT = 59,
  SUM = 60,
  MIN = 61,
  MAX = 62,
  AVG = 63,
  SAMPLE = 64,
  GROUP_CONCAT = 65,
  SEPARATOR = 66,
  SUBSTR = 67,
  REPLACE = 68,
  REGEX = 69,
  EXISTS = 70,
  NOT = 71,
  IN = 72,
  GROUP = 73,
  BY = 74,
  HAVING = 75,
  ORDER = 76,
  ASC = 77,
  DESC = 78,
  LIMIT = 79,
  OFFSET = 80,
  VALUES = 81,
  UNDEF = 82,
  UNION = 83,
  OPTIONAL = 84,
  MINUS = 85,
  GRAPH = 86,
  SERVICE = 87,
  SILENT = 88,
  FILTER = 89,
  BIND = 90,
  AS = 91,
  FROM = 92,
  NAMED = 93,
  TRUE = 94,
  FALSE = 95,
  LOAD = 96,
  INTO = 97,
  TO = 98,
  CLEAR = 99,
  DROP = 100,
  CREATE = 101,
  ADD = 102,
  MOVE = 103,
  COPY = 104,
  INSERT = 105,
  DATA = 106,
  DELETE = 107,
  WITH = 108,
  DEFAULT = 109,
  ALL = 110,
  USING = 111,
  Comment = 112,
  Unit = 113,
  Query = 114,
  Prologue = 115,
  BaseDecl = 116,
  IriRef = 117,
  PrefixDecl = 118,
  Pname_ns = 119,
  SelectQuery = 120,
  SelectClause = 121,
  Var = 122,
  Expression = 123,
  ConditionalOrExpression = 124,
  ConditionalAndExpression = 125,
  ValueLogical = 126,
  RelationalExpression = 127,
  NumericExpression = 128,
  AdditiveExpression = 129,
  MultiplicativeExpression = 130,
  UnaryExpression = 131,
  PrimaryExpression = 132,
  BrackettedExpression = 133,
  BuiltInCall = 134,
  Aggregate = 135,
  String = 137,
  Nil = 139,
  ExpressionList = 140,
  SubstringExpression = 141,
  StrReplaceExpression = 142,
  RegexExpression = 143,
  ExistsFunc = 144,
  GroupGraphPattern = 145,
  SubSelect = 146,
  WhereClause = 147,
  SolutionModifier = 148,
  GroupClause = 149,
  GroupCondition = 150,
  FunctionCall = 151,
  Iri = 152,
  PrefixedName = 153,
  Pname_ln = 154,
  ArgList = 155,
  HavingClause = 156,
  HavingCondition = 157,
  Constraint = 158,
  OrderClause = 159,
  OrderCondition = 160,
  LimitOffsetClauses = 161,
  LimitClause = 162,
  Integer = 163,
  OffsetClause = 164,
  ValuesClause = 165,
  DataBlock = 166,
  InlineDataOneVar = 167,
  DataBlockValue = 168,
  RDFLiteral = 169,
  Langtag = 170,
  NumericLiteral = 172,
  NumericLiteralUnsigned = 173,
  Decimal = 174,
  Double = 175,
  NumericLiteralPositive = 176,
  IntegerPositive = 177,
  DecimalPositive = 178,
  DoublePositive = 179,
  NumericLiteralNegative = 180,
  IntegerNegative = 181,
  DecimalNegative = 182,
  DoubleNegative = 183,
  BooleanLiteral = 184,
  InlineDataFull = 185,
  GroupGraphPatternSub = 186,
  TriplesBlock = 187,
  TriplesSameSubjectPath = 188,
  VarOrTerm = 189,
  GraphTerm = 190,
  BlankNode = 191,
  Blank_node_label = 192,
  Anon = 193,
  PropertyListPathNotEmpty = 194,
  VerbPath = 195,
  Path = 196,
  PathAlternative = 197,
  PathSequence = 198,
  PathEltOrInverse = 199,
  PathElt = 200,
  PathPrimary = 201,
  PathNegatedPropertySet = 202,
  PathOneInPropertySet = 203,
  PathMod = 204,
  VerbSimple = 205,
  ObjectListPath = 206,
  ObjectPath = 207,
  GraphNodePath = 208,
  TriplesNodePath = 209,
  CollectionPath = 210,
  BlankNodePropertyListPath = 213,
  ObjectList = 214,
  Object$1 = 215,
  GraphNode = 216,
  TriplesNode = 217,
  Collection = 218,
  BlankNodePropertyList = 219,
  PropertyListNotEmpty = 220,
  Verb = 221,
  VarOrIri = 222,
  PropertyListPath = 223,
  GraphPatternNotTriples = 225,
  GroupOrUnionGraphPattern = 226,
  OptionalGraphPattern = 227,
  MinusGraphPattern = 228,
  GraphGraphPattern = 229,
  ServiceGraphPattern = 230,
  Filter = 231,
  Bind = 232,
  InlineData = 233,
  NotExistsFunc = 234,
  IriOrFunction = 235,
  DatasetClause = 236,
  DefaultGraphClause = 237,
  SourceSelector = 238,
  NamedGraphClause = 239,
  ConstructQuery = 240,
  ConstructTemplate = 241,
  ConstructTriples = 242,
  TriplesSameSubject = 243,
  PropertyList = 244,
  TriplesTemplate = 245,
  DescribeQuery = 246,
  AskQuery = 247,
  Update = 248,
  Update1 = 249,
  Load = 250,
  GraphRef = 251,
  Clear = 252,
  GraphRefAll = 253,
  Drop = 254,
  Add = 255,
  GraphOrDefault = 256,
  Move = 257,
  Copy = 258,
  Create = 259,
  InsertData = 260,
  QuadData = 261,
  Quads = 262,
  QuadsNotTriples = 263,
  DeleteData = 264,
  DeleteWhere = 265,
  QuadPattern = 266,
  Modify = 267,
  DeleteClause = 268,
  InsertClause = 269,
  UsingClause = 270,
  Keyword = 271;

var tokens = /*#__PURE__*/Object.freeze({
  __proto__: null,
  BASE: BASE,
  PREFIX: PREFIX,
  SELECT: SELECT,
  CONSTRUCT: CONSTRUCT,
  DESCRIBE: DESCRIBE,
  WHERE: WHERE,
  DISTINCT: DISTINCT,
  REDUCED: REDUCED,
  STR: STR,
  LANG: LANG,
  LANGMATCHES: LANGMATCHES,
  DATATYPE: DATATYPE,
  ASK: ASK,
  BOUND: BOUND,
  IRI: IRI,
  URI: URI,
  BNODE: BNODE,
  RAND: RAND,
  ABS: ABS,
  CEIL: CEIL,
  FLOOR: FLOOR,
  ROUND: ROUND,
  CONCAT: CONCAT,
  STRLEN: STRLEN,
  UCASE: UCASE,
  LCASE: LCASE,
  ENCODE_FOR_URI: ENCODE_FOR_URI,
  CONTAINS: CONTAINS,
  STRSTARTS: STRSTARTS,
  STRENDS: STRENDS,
  STRBEFORE: STRBEFORE,
  STRAFTER: STRAFTER,
  YEAR: YEAR,
  MONTH: MONTH,
  DAY: DAY,
  HOURS: HOURS,
  MINUTES: MINUTES,
  SECONDS: SECONDS,
  TIMEZONE: TIMEZONE,
  TZ: TZ,
  NOW: NOW,
  UUID: UUID,
  STRUUID: STRUUID,
  MD5: MD5,
  SHA1: SHA1,
  SHA256: SHA256,
  SHA384: SHA384,
  SHA512: SHA512,
  COALESCE: COALESCE,
  IF: IF,
  STRLANG: STRLANG,
  STRDT: STRDT,
  SAMETERM: SAMETERM,
  ISIRI: ISIRI,
  ISURI: ISURI,
  ISBLANK: ISBLANK,
  ISLITERAL: ISLITERAL,
  ISNUMERIC: ISNUMERIC,
  COUNT: COUNT,
  SUM: SUM,
  MIN: MIN,
  MAX: MAX,
  AVG: AVG,
  SAMPLE: SAMPLE,
  GROUP_CONCAT: GROUP_CONCAT,
  SEPARATOR: SEPARATOR,
  SUBSTR: SUBSTR,
  REPLACE: REPLACE,
  REGEX: REGEX,
  EXISTS: EXISTS,
  NOT: NOT,
  IN: IN,
  GROUP: GROUP,
  BY: BY,
  HAVING: HAVING,
  ORDER: ORDER,
  ASC: ASC,
  DESC: DESC,
  LIMIT: LIMIT,
  OFFSET: OFFSET,
  VALUES: VALUES,
  UNDEF: UNDEF,
  UNION: UNION,
  OPTIONAL: OPTIONAL,
  MINUS: MINUS,
  GRAPH: GRAPH,
  SERVICE: SERVICE,
  SILENT: SILENT,
  FILTER: FILTER,
  BIND: BIND,
  AS: AS,
  FROM: FROM,
  NAMED: NAMED,
  TRUE: TRUE,
  FALSE: FALSE,
  LOAD: LOAD,
  INTO: INTO,
  TO: TO,
  CLEAR: CLEAR,
  DROP: DROP,
  CREATE: CREATE,
  ADD: ADD,
  MOVE: MOVE,
  COPY: COPY,
  INSERT: INSERT,
  DATA: DATA,
  DELETE: DELETE,
  WITH: WITH,
  DEFAULT: DEFAULT,
  ALL: ALL,
  USING: USING,
  Comment: Comment,
  Unit: Unit,
  Query: Query,
  Prologue: Prologue,
  BaseDecl: BaseDecl,
  IriRef: IriRef,
  PrefixDecl: PrefixDecl,
  Pname_ns: Pname_ns,
  SelectQuery: SelectQuery,
  SelectClause: SelectClause,
  Var: Var,
  Expression: Expression,
  ConditionalOrExpression: ConditionalOrExpression,
  ConditionalAndExpression: ConditionalAndExpression,
  ValueLogical: ValueLogical,
  RelationalExpression: RelationalExpression,
  NumericExpression: NumericExpression,
  AdditiveExpression: AdditiveExpression,
  MultiplicativeExpression: MultiplicativeExpression,
  UnaryExpression: UnaryExpression,
  PrimaryExpression: PrimaryExpression,
  BrackettedExpression: BrackettedExpression,
  BuiltInCall: BuiltInCall,
  Aggregate: Aggregate,
  String: String,
  Nil: Nil,
  ExpressionList: ExpressionList,
  SubstringExpression: SubstringExpression,
  StrReplaceExpression: StrReplaceExpression,
  RegexExpression: RegexExpression,
  ExistsFunc: ExistsFunc,
  GroupGraphPattern: GroupGraphPattern,
  SubSelect: SubSelect,
  WhereClause: WhereClause,
  SolutionModifier: SolutionModifier,
  GroupClause: GroupClause,
  GroupCondition: GroupCondition,
  FunctionCall: FunctionCall,
  Iri: Iri,
  PrefixedName: PrefixedName,
  Pname_ln: Pname_ln,
  ArgList: ArgList,
  HavingClause: HavingClause,
  HavingCondition: HavingCondition,
  Constraint: Constraint,
  OrderClause: OrderClause,
  OrderCondition: OrderCondition,
  LimitOffsetClauses: LimitOffsetClauses,
  LimitClause: LimitClause,
  Integer: Integer,
  OffsetClause: OffsetClause,
  ValuesClause: ValuesClause,
  DataBlock: DataBlock,
  InlineDataOneVar: InlineDataOneVar,
  DataBlockValue: DataBlockValue,
  RDFLiteral: RDFLiteral,
  Langtag: Langtag,
  NumericLiteral: NumericLiteral,
  NumericLiteralUnsigned: NumericLiteralUnsigned,
  Decimal: Decimal,
  Double: Double,
  NumericLiteralPositive: NumericLiteralPositive,
  IntegerPositive: IntegerPositive,
  DecimalPositive: DecimalPositive,
  DoublePositive: DoublePositive,
  NumericLiteralNegative: NumericLiteralNegative,
  IntegerNegative: IntegerNegative,
  DecimalNegative: DecimalNegative,
  DoubleNegative: DoubleNegative,
  BooleanLiteral: BooleanLiteral,
  InlineDataFull: InlineDataFull,
  GroupGraphPatternSub: GroupGraphPatternSub,
  TriplesBlock: TriplesBlock,
  TriplesSameSubjectPath: TriplesSameSubjectPath,
  VarOrTerm: VarOrTerm,
  GraphTerm: GraphTerm,
  BlankNode: BlankNode,
  Blank_node_label: Blank_node_label,
  Anon: Anon,
  PropertyListPathNotEmpty: PropertyListPathNotEmpty,
  VerbPath: VerbPath,
  Path: Path,
  PathAlternative: PathAlternative,
  PathSequence: PathSequence,
  PathEltOrInverse: PathEltOrInverse,
  PathElt: PathElt,
  PathPrimary: PathPrimary,
  PathNegatedPropertySet: PathNegatedPropertySet,
  PathOneInPropertySet: PathOneInPropertySet,
  PathMod: PathMod,
  VerbSimple: VerbSimple,
  ObjectListPath: ObjectListPath,
  ObjectPath: ObjectPath,
  GraphNodePath: GraphNodePath,
  TriplesNodePath: TriplesNodePath,
  CollectionPath: CollectionPath,
  BlankNodePropertyListPath: BlankNodePropertyListPath,
  ObjectList: ObjectList,
  Object: Object$1,
  GraphNode: GraphNode,
  TriplesNode: TriplesNode,
  Collection: Collection,
  BlankNodePropertyList: BlankNodePropertyList,
  PropertyListNotEmpty: PropertyListNotEmpty,
  Verb: Verb,
  VarOrIri: VarOrIri,
  PropertyListPath: PropertyListPath,
  GraphPatternNotTriples: GraphPatternNotTriples,
  GroupOrUnionGraphPattern: GroupOrUnionGraphPattern,
  OptionalGraphPattern: OptionalGraphPattern,
  MinusGraphPattern: MinusGraphPattern,
  GraphGraphPattern: GraphGraphPattern,
  ServiceGraphPattern: ServiceGraphPattern,
  Filter: Filter,
  Bind: Bind,
  InlineData: InlineData,
  NotExistsFunc: NotExistsFunc,
  IriOrFunction: IriOrFunction,
  DatasetClause: DatasetClause,
  DefaultGraphClause: DefaultGraphClause,
  SourceSelector: SourceSelector,
  NamedGraphClause: NamedGraphClause,
  ConstructQuery: ConstructQuery,
  ConstructTemplate: ConstructTemplate,
  ConstructTriples: ConstructTriples,
  TriplesSameSubject: TriplesSameSubject,
  PropertyList: PropertyList,
  TriplesTemplate: TriplesTemplate,
  DescribeQuery: DescribeQuery,
  AskQuery: AskQuery,
  Update: Update,
  Update1: Update1,
  Load: Load,
  GraphRef: GraphRef,
  Clear: Clear,
  GraphRefAll: GraphRefAll,
  Drop: Drop,
  Add: Add,
  GraphOrDefault: GraphOrDefault,
  Move: Move,
  Copy: Copy,
  Create: Create,
  InsertData: InsertData,
  QuadData: QuadData,
  Quads: Quads,
  QuadsNotTriples: QuadsNotTriples,
  DeleteData: DeleteData,
  DeleteWhere: DeleteWhere,
  QuadPattern: QuadPattern,
  Modify: Modify,
  DeleteClause: DeleteClause,
  InsertClause: InsertClause,
  UsingClause: UsingClause,
  Keyword: Keyword
});

/**
 * Keywords are matched in a case-insensitive manner with the exception
 * of the keyword 'a' which, in line with Turtle and N3, is used in place
 * of the IRI rdf:type (in full, http://www.w3.org/1999/02/22-rdf-syntax-ns#type).
 */
const caseInsensitive = (value, stack) => {
  return tokens[value.toUpperCase()] || -1;
};

// This file was generated by lezer-generator. You probably shouldn't edit it.
const parser = LRParser.deserialize({
  version: 14,
  states: "!AUO!TQPOOP!eOPOOO!jQPO'#EtO!oQPO'#EvOOQO'#IX'#IXO!tQPO'#EsO$pQPO'#HnQOQPOOPOOO'#IW'#IWP%QOPO)CDmOOQO,5;`,5;`O%XQPO,5;bOOQO-E<V-E<VO%^QPO'#EyO%oQPO'#ExO%zQPO'#HfO&VQPO'#HlO%oQPO'#HmO&hQPO,5;^O&pQPO'#HpO'OQPO'#HrO'aQPO'#HtO(TQPO'#HuO([QPO'#HwO(cQPO'#HxO(jQPO'#HyO(rQPO'#ITO(zQPO'#ISO)VQPO'#IRO)bQPO'#IRO&sQPO'#IROOQO'#Ho'#HoO)jQPO,5>YPOOO-E<U-E<UOOQO1G0|1G0|OOQO'#IY'#IYO)rQPO'#IYO/[QPO,5;eOOQO,5;e,5;eO/mQPO,5;eOOQO'#Fe'#FeO%uQPO'#FeO1fQPO'#FcO2YQPO'#HbOOQO'#Ir'#IrO%oQPO,5;dO2hQPO,5;dO3PQPO,5>QO4uQPO'#HgO%oQPO,5>QO4|QPO,5>QOOQO'#Fk'#FkOOQO'#Fj'#FjOOQO'#HS'#HSOOQO'#Is'#IsO5RQPO,5>WO5lQPO,5>WO%oQPO,5>XO2hQPO,5>XO5yQPO'#FwOOQO1G0x1G0xO6UQPO,5>[O&sQPO,5>[O&sQPO'#HqOOQO'#Hs'#HsOOQO,5>^,5>^O6aQPO,5>^OOQO,5>`,5>`O6aQPO,5>`OOQO'#Hv'#HvO&sQPO'#HvO6oQPO,5>aO'rQPO,5>aO6tQPO,5>cO'rQPO,5>cO6yQPO,5>dO'rQPO,5>dOOQO,5>e,5>eO7OQPO,5>eO7TQPO,5>fO7YQPO'#IQOOQO,5>o,5>oO7TQPO,5>jO(uQPO,5>kOOQO,5>n,5>nO(uQPO'#ITO7dQPO'#IUOOQO'#Iu'#IuO7rQPO,5>mO%uQPO,5>mO7rQPO,5>mO7zQPO,5>mOYQPO1G3tO)rQPO'#FVOOQO'#FZ'#FZO8SQPO'#FXO8XQPO'#FXO8^QPO'#FXO8cQPO'#F_O8hQPO'#F`O8mQPO'#FaO9|QQO'#F{OOQO'#GP'#GPOOQO'#GS'#GSOOQO'#GW'#GWOOQO'#GO'#GOOOQO'#G['#G[O%uQPO'#FbO:jQPO'#H`OOQO'#FW'#FWO:oQPO'#FWO:tQPO'#FWO:yQPO'#FWO;OQPO'#FWO;WQPO'#FWO;]QPO'#FWO;eQPO'#FWO<tQQO'#HaOOQO'#FU'#FUO=bQPO'#FTOOQO'#FT'#FTOCoQQO'#FSOEZQQO'#FROOQO'#FQ'#FQOE}QQO'#FPOOQO'#FO'#FOOF{QPO'#E}OGaQPO'#E|OOQO'#E{'#E{OGrQPO,5>tOOQO-E<W-E<WOGwQPO1G1POOQO1G1P1G1POOQO,5<P,5<POHYQPO'#F{OJeQPO'#FdOOQO'#Gc'#GcOOQO'#Gb'#GbOOQO'#Ga'#GaO/xQPO'#GvOJmQPO'#GyOOQO'#Gu'#GuOJmQPO'#G`OKXQPO'#G`OK{QPO'#G_OLmQPO'#HWO%uQPO'#HXO%uQPO'#HYON|QPO'#HZO! [QPO'#H[O! mQPO'#H]O!%zQPO'#H^O5yQPO'#H_OOQO'#HV'#HVO!&PQPO'#IlO!&sQPO'#G^O!&sQPO'#G^O!'bQPO,5;}OOQO'#Hd'#HdOOQO'#Hc'#HcO&sQPO'#HeOOQO,5=|,5=|OOQO-E<p-E<pO2hQPO1G1OO!'gQPO'#FgO! mQPO'#FnO!'lQPO'#FqO!'qQPO'#FtO!'qQPO'#FvO!'vQPO'#FsO!(UQPO'#FsOOQO'#Ff'#FfO!(dQPO'#FfO!(uQPO'#FfO!(|QPO'#FfOOQO1G1O1G1OO!)WQPO1G3lO3XQPO'#HOO!)]QPO'#HPOOQO'#G}'#G}O!)]QPO'#HiO!)nQPO'#HiO!){QPO'#HhOOQO,5>R,5>RO!*TQPO,5>RO%oQPO1G3lO2hQPO1G3lO!*YQPO1G3lO5lQPO1G3rOOQO-E<q-E<qOOQO1G3r1G3rO2hQPO1G3rO2hQPO1G3sOOQO1G3s1G3sO!*aQPO'#FyO!*fQPO'#G]O!*kQPO'#G]OOQO'#Fx'#FxOOQO,5<c,5<cO7OQPO1G3vO!*sQPO1G3vOOQO,5>],5>]OOQO1G3x1G3xOOQO1G3z1G3zOOQO,5>b,5>bO'rQPO1G3{O!+OQPO1G3{O'rQPO1G3}O!+TQPO1G3}O'rQPO1G4OO!+YQPO1G4OOOQO1G4P1G4PO7YQPO'#H{OOQO1G4Q1G4QO!+_QPO'#HkON|QPO'#H}O!+jQPO'#ItO!+wQPO'#H|O!+wQPO'#H|O!,PQPO,5>lOOQO1G4U1G4UOOQO1G4V1G4VOOQO,5>p,5>pO&sQPO,5>pOOQO-E<s-E<sO%uQPO1G4XOOQO1G4X1G4XO!,UQPO1G4XO(uQPO'#ISO!,^QPO1G4XO!,UQPO1G4XO#{QPO'#HnOOQO7+)`7+)`O!,iQPO,5;qO!,nQPO,5;sO!,xQPO,5;sO!-PQPO,5;sO)rQPO,5;yO)rQPO,5;zO)rQPO,5;{OOQO,5<g,5<gO&sQPO,5<gOOQO,5;|,5;|O%uQPO,5=zO)rQPO,5;rO)rQPO,5;rO!-WQPO,5;rOOQO,5;r,5;rOOQO'#F^'#F^O)rQPO'#F^O)rQPO,5;rOOQO'#Fm'#FmO!-]QPO'#FmOOQO,5={,5={OOQO,5;o,5;oO)rQPO'#InO!.bQQO,5;nO)rQPO'#IoO!0SQQO'#IoO!1nQQO,5;mO!2bQPO,5;kO;]QPO,5;kO!2oQPO,5;kO)rQPO'#IpO!2tQPO,5;iO)rQPO'#IqO!3YQPO,5;hO!3kQPO1G4`O!4UQPO,5<OOOQO'#If'#IfO!4]QPO,5=bOOQO'#Gt'#GtOOQO'#Gm'#GmO!4uQPO'#GmO!4|QPO'#GmO!5eQSO'#GlOOQO'#Gk'#GkO!7eQPO'#GkO!7yQSO'#GjO!9pQSO'#GiOOQO'#Gh'#GhOOQO'#Gg'#GgOOQO'#Gq'#GqO!;dQPO,5=eO/xQPO'#GfOOQO,5<z,5<zOOQO'#HT'#HTO!;iQPO,5<yO%uQPO'#ImO!<YQPO,5=rOOQO,5=s,5=sOOQO,5=t,5=tO%uQPO,5=uO%uQPO,5=vON|QPO,5=vO!>iQPO'#FiOOQO'#Fp'#FpOOQO,5=w,5=wO)rQPO,5=xOOQO,5=y,5=yOOQO,5?W,5?WO!>qQPO,5?WOOQO-E<j-E<jO!?bQPO,5<xOOQO1G1i1G1iOOQO,5>P,5>POOQO7+&j7+&jO!@PQPO,5<ROOQO'#Fo'#FoOOQO'#I]'#I]O!DaQPO,5<YO!DwQPO,5<]OOQO'#I_'#I_O!EUQPO,5<`O!EgQPO,5<bOOQO,5<_,5<_OOQO,5<Q,5<QO!ExQPO,5<QO!FZQPO,5<QO!FbQPO7+)WOOQO'#Ii'#IiO!FiQPO,5=jOOQO'#G|'#G|OOQO'#HR'#HRO3XQPO'#HQO!FpQPO,5=kOOQO,5>T,5>TOOQO'#Hj'#HjO!FuQPO,5>SOOQO1G3m1G3mO2hQPO7+)WOOQO7+)W7+)WO!F|QPO7+)WOOQO7+)^7+)^O2hQPO7+)^OOQO7+)_7+)_O!H`QPO,5<eO!HgQPO,5<wOOQO'#Ia'#IaO!HrQPO,5<wO!HzQPO,5<wOOQO7+)b7+)bO7OQPO7+)bOOQO7+)g7+)gO'rQPO7+)gOOQO7+)i7+)iO'rQPO7+)iOOQO7+)j7+)jO'rQPO7+)jO!IPQPO,5>gO!IUQPO,5>VO!I`QPO,5>iOOQO,5?`,5?`O!IeQPO,5?`OOQO-E<r-E<rO!IoQPO,5>hOOQO1G4W1G4WOOQO1G4[1G4[OOQO7+)s7+)sO%uQPO7+)sO!IwQPO7+)sO!IwQPO7+)sOOQO1G1]1G1]O!JPQPO1G1_O!JUQPO1G1_O)rQPO1G1_O!J]QPO1G1_O)rQPO1G1_O!JeQPO1G1eO!JjQPO1G1fO!JoQPO1G1gOOQO1G2R1G2ROOQO1G3f1G3fO!JtQPO1G1^O!JyQPO1G1^O!KOQPO,5;xO!KWQPO1G1^O!K]QPO,5<XO)rQPO,5<XOOQO,5?Y,5?YOOQO-E<l-E<lOOQO,5?Z,5?ZO!LcQQO,5?ZOOQO-E<m-E<mO;jQPO'#HaO!MVQPO'#FSO!MaQPO'#FROOQO1G1V1G1VO;]QPO1G1VOOQO,5?[,5?[OOQO-E<n-E<nOOQO,5?],5?]OOQO-E<o-E<oO!MkQPO7+)zO!MpQPO1G1jOOQO-E<d-E<dOOQO1G2|1G2|OOQO'#Go'#GoO!MxQPO'#GoOOQO'#Gn'#GnO!NWQPO'#GnOOQO,5=X,5=XO!N_QPO,5=XOOQO'#Gp'#GpOOQO,5=W,5=WOOQO,5=V,5=VO!4|QPO'#IdO!NdQSO,5=UO!4|QPO'#IeO#!ZQSO,5=TOOQO1G3P1G3POOQO'#Gs'#GsO##}QPO'#GrO#$xQPO,5=QOOQO1G2e1G2eOOQO,5?X,5?XOOQO-E<k-E<kOOQO1G3a1G3aOOQO1G3b1G3bO%uQPO1G3bOOQO,5<T,5<TO#%pQPO1G3dOOQO1G4r1G4rOOQO'#Fh'#FhO)rQPO'#FhOOQO'#I['#I[O#%uQPO1G1mOOQO-E<Z-E<ZO!%uQPO'#FrOOQO'#Fr'#FrOOQO'#I^'#I^O#&`QPO1G1wOOQO-E<]-E<]OOQO1G1l1G1lO#&|QPO1G1lO2hQPO<<LrO#'_QPO<<LrOOQO-E<g-E<gOOQO1G3U1G3UO#'dQPO,5=lOOQO'#G{'#G{O#'uQPO'#GzOOQO1G3V1G3VOOQO1G3n1G3nOOQO<<Lr<<LrOOQO<<Lx<<LxOOQO'#Fz'#FzOOQO'#I`'#I`O#(pQPO1G2POOQO1G2P1G2PO#(wQPO'#IbOOQO'#Ib'#IbO#)OQPO1G2cOOQO1G2c1G2cOOQO-E<_-E<_O#)ZQPO1G2cO#)OQPO1G2cOOQO<<L|<<L|OOQO<<MR<<MROOQO<<MT<<MTOOQO<<MU<<MUOOQO1G4R1G4ROOQO1G3q1G3qO#)`QPO1G4TOOQO1G4z1G4zOOQO<<M_<<M_O%uQPO<<M_O#)gQPO<<M_OOQO7+&y7+&yO#)oQPO7+&yO#)tQPO7+&yO#)yQPO7+&yO)rQPO7+'PO)rQPO7+'QO)rQPO7+'ROOQO7+&x7+&xO)rQPO7+&xO)rQPO'#IZO#*RQPO1G1dOOQO1G1d1G1dO)rQPO7+&xO#*ZQPO1G1sOOQO1G1s1G1sO#*ZQPO1G1sO#*cQPO,5;nO#*mQPO'#IoO#*wQPO,5;mOOQO7+&q7+&qOOQO<<Mf<<MfOOQO7+'U7+'UOOQO,5=Z,5=ZOOQO,5=Y,5=YO#+RQSO,5=YOOQO1G2s1G2sOOQO,5?O,5?OOOQO-E<b-E<bOOQO,5?P,5?POOQO-E<c-E<cO/xQPO'#IgO#+ZQPO,5=^O#,UQPO'#IhO#-OQPO1G2lOOQO7+(|7+(|O#-vQPO7+)OO#-{QPO,5<SOOQO-E<Y-E<YOOQO,5<^,5<^OOQO-E<[-E<[OOQO7+'W7+'WOOQOANB^ANB^O2hQPOANB^O#.TQPO'#IjO#.hQPO1G3WO3XQPO'#IkO#.yQPO,5=fOOQO-E<^-E<^OOQO7+'k7+'kO#/tQPO,5>|OOQO,5>|,5>|OOQO-E<`-E<`OOQO7+'}7+'}O#/{QPO7+'}O#/{QPO7+'}OOQO7+)o7+)oO#0WQPO7+)oOOQOANByANByO%uQPOANByOOQO<<Je<<JeO#0]QPO<<JeO#0bQPO<<JeO#0gQPO<<JkO#0oQPO<<JlO#0tQPO<<JmO#0|QPO<<JdOOQO,5>u,5>uOOQO-E<X-E<XOOQO7+'O7+'OO#1RQPO<<JdOOQO7+'_7+'_O#1WQPO7+'_O#1`QPO,5?ZO!4dQPO'#IcO#1jQSO1G2tOOQO1G2t1G2tOOQO,5?R,5?ROOQO-E<e-E<eO3XQPO,5?SOOQO-E<f-E<fO#1rQPO<<LjOOQO1G1n1G1nO#1wQPO1G1nOOQOG27xG27xO3XQPO,5?UOOQO-E<h-E<hOOQO,5?V,5?VOOQO-E<i-E<iOOQO1G4h1G4hO#1|QPO<<KiOOQO<<Ki<<KiOOQO<<MZ<<MZOOQOG28eG28eO1WQPOAN@PO#2XQPOAN@POOQOAN@VAN@VO)rQPOAN@VO)rQPOAN@WOOQOAN@XAN@XO)rQPOAN@XOOQOAN@OAN@OO)rQPOAN@OOOQO<<Jy<<JyOOQO,5>},5>}OOQO-E<a-E<aOOQO7+(`7+(`OOQO1G4n1G4nOOQOANBUANBUO#2^QPO7+'YOOQO1G4p1G4pOOQOANATANATO#2cQPOG25kO1WQPOG25kO#2hQPOG25qO#2mQPOG25rO#2uQPOG25sO#2zQPOG25jOOQO<<Jt<<JtOOQOLD+VLD+VO#3PQPOLD+VOOQOLD+]LD+]OOQOLD+^LD+^O)rQPOLD+^OOQOLD+_LD+_OOQOLD+ULD+UOOQO!$'Nq!$'NqO#3UQPO!$'NxOOQO!)9Dd!)9DdO=bQPO'#FTO!2bQPO'#InO!2bQPO'#Io",
  stateData: "#3r~O'lOS#dPQ~OPQOQRO#S#gP#V#gP#W#gP#X#gP#Y#gP#Z#gP#[#gP#]#gP#_#gP#`#gP'j#gP~OR#gPS#gPT#gP]#gP~PYO#dWO~O#iYO~O#kZO~OPQOQROR#gXS#gXT#gX]#gX#S#gX#V#gX#W#gX#X#gX#Y#gX#Z#gX#[#gX#]#gX#_#gX#`#gX'j#gX~O#ScO#VdO#WeO#XiO#YfO#ZgO#[hO#]jO#_kO#`nO'j&bX~OR]OS_OT`O]aO~P#{O#dWO~Q'k]#irO~OVwOWwO#nsO'mtO'pvO~OUyO#O{O'wzO~OU!SO#O{O'w!QO~O#i!UO#k!TO#n!VO$`!TO'p!YO~O!s!]O'j$kP~O!z!`O#i!UO#k!TO$`!TO~O!x!aO!z!dO#P!bO#a!bO#b!bO~O!x!aO!z!fO#P!bO#a!bO#b!bO~O!x!hO#a!gO#i!UO#k!TO$`!TO~O!z!jO~P'rO!z!lO~P'rO!z!nO~P'rO!x!aO!z!pO~O#^!qO'w!rO~OU!uO#^!tO'w!rO~OU!{O#]!wO#c!xO~OU!{O#c!xO~O#|#OO'j&ba~OX#bOY#bOZ#cO[#bO^#dO_#bO`#bOa#eOb#fOc#bOd#bOe#bOf#bOg#gOh#bOi#bOj#bOk#bOl#cOm#cOn#cOo#cOp#cOq#bOr#bOs#bOt#bOu#bOv#bOw#bOx#bOy#fOz#fO{#fO|#bO}#bO!O#bO!P#bO!Q#bO!R#gO!S#hO!T#cO!U#cO!V#cO!W#bO!X#bO!Y#bO!Z#bO![#bO!]#RO!^#SO!_#SO!`#SO!a#SO!b#SO!c#TO!e#UO!f#VO!g#WO!h#_O!i#`O#Q#^O#R#^O#i!UO#k!TO#n#jO$`!TO$i#YO$t#YO$u#YO$w#ZO$x#ZO$y#ZO${#[O$|#[O$}#[O'm#PO'n#kO'r#QO's#QO't#QO'u#QO'|#kO(O#kO~O#nsO'mtOU#ma#O#ma'w#ma~O#nsO'mtO'p#xO~O#Q#^O#R#^O#i!UO#k!TO#n$OO$P#}O$`!TO$i#YO$t#YO$u#YO$w#ZO$x#ZO$y#ZO${#[O$|#[O$}#[O%W#|O%X#|O%l$QO'm$PO'r#QO's#QO't#QO'u#QO~OR]O!s$^O!v$WO!w$XO!x$YO!y$ZO!{$[O!|$]O'wzO'v%QP~P/xO#P$fO#i!UO#k!TO$`!TO~O!k$jO!m$kO!n$lO!q$mO!r$nO!s$YP'j$YP~OU$vO#O{O~O#Q#^O#R#^O#i!UO#k!TO#n$OO$P#}O$`!TO$i#YO$t#YO$u#YO$w#ZO$x#ZO$y#ZO${#[O$|#[O$}#[O%W#|O%X#|O%l$xO'm$wO'r#QO's#QO't#QO'u#QO~O'v$}O~P3XO'w%RO~OUyO#O{O#i!UO#k!TO#n!VO$`!TO'wzO~P2hOUyO#O{O'wzO~P2hO#n%YO$P%ZO'm%[O~O#T%_O#|&da'j&da~O!x!aO#P!bO#a!bO#b!bO~O#U%eO~O#U%gO~O#U%iO~O!x!aO~O'w%lO~O!x%oO'v&pP~P3XO#P%wO#i!UO#k!TO$`!TO~OU%yO#c!xO~O#]!wO#_%|O~O'm&SO~O'm&TO~O'm&UO~O'm&VO~O'm&WO~O'm&XO~O$p&YO$q&ZO!}$oX$w$oX$x$oX$y$oX${$oX$|$oX$}$oX'p$oX'|$oX'}$oX(O$oX(U$oX(V$oX'o$oX#|$oX$O$oX~O!i$oX!j$oX'q$oX(P$oX(Q$oX(R$oX(S$oX(T$oX~P8rO!h&]O~O'm&^O~O'm&_O~O'm&`O~O$P&aO'm&^O~O$P&aO~O$P&bO'm&cO~O'm&dO~O$P&eO'm&fO!}&TX$w&TX$x&TX$y&TX${&TX$|&TX$}&TX'p&TX'|&TX'}&TX(O&TX(U&TX(V&TX'o&TX#|&TX$O&TX~O!i&TX!j&TX'q&TX(P&TX(Q&TX(R&TX(S&TX(T&TX~P;jOX#bOY#bOZ#cO[#bO^#dO_#bO`#bOa#eOb#fOc#bOd#bOe#bOf#bOg#gOh#bOi#bOj#bOk#bOl#cOm#cOn#cOo#cOp#cOq#bOr#bOs#bOt#bOu#bOv#bOw#bOx#bOy#fOz#fO{#fO|#bO}#bO!O#bO!P#bO!Q#bO!R#gO!S#hO!T#cO!U#cO!V#cO!W#bO!X#bO!Y#bO!Z#bO![#bO!]#RO!^#SO!_#SO!`#SO!a#SO!b#SO!c#TO!e#UO!f#VO!g#WO!h#_O!i#`O#Q#^O#R#^O#i!UO#k!TO#n#jO$`!TO$i#YO$t#YO$u#YO$w#ZO$x#ZO$y#ZO${#[O$|#[O$}#[O'm#PO'r#QO's#QO't#QO'u#QO~O!}#vX$w#vX$x#vX$y#vX${#vX$|#vX$}#vX'|#vX(O#vX(U#vX(V#vX'o#vX#|#vX$O#vX~O'p&iO'}&iO!i#vX!j#vX'q#vX(P#vX(Q#vX(R#vX(S#vX(T#vX~PBqO$w#ZO$x#ZO$y#ZO${#[O$|#[O$}#[O!}#uX(U#uX(V#uX'o#uX#|#uX$O#uX~O'|&kO(O&kO!i#uX!j#uX'q#uX(P#uX(Q#uX(R#uX(S#uX(T#uX~PDcO!i&pO!j&oO'q&nO(P&nO(Q&nO(R&nO(S&nO(T&nO!}#sX(U#sX(V#sX'o#sX#|#sX$O#sX~O(U&qO!}#qX(V#qX'o#qX#|#qX$O#qX~O(V&sO!}#pX'o#pX#|#pX$O#pX~O!}&uO~O#nsO'mtOU#mi#O#mi'w#mi~O#i$oX#k$oX#n$oX$`$oX'm$oX'n$oX'x$oX'y$oX#Q$oX#R$oX$P$oX$i$oX$t$oX$u$oX%W$oX%X$oX%l$oX'r$oX's$oX't$oX'u$oX%k$oX!s$oX!v$oX!w$oX!x$oX!y$oX!{$oX!|$oX%x$oX'v$oX'w$oX!t$oX~P8rOUyO'wzO~O#i!UO#k!TO#n'UO$`!TO'm&|O'n&{O'x&zO'y'PO~O!s%wP!v%wP!w%wP!x%wP!y%wP!{%wP!|%wP%x%wP'v%wP'w%wP~PJmO%x'ZO!s%RX!v%RX!w%RX!x%RX!y%RX!{%RX!|%RX'v%RX'w%RX~O!u'[O!s%zX!v%zX!w%zX!x%zX!y%zX!{%zX!|%zX#Q%zX#R%zX#i%zX#k%zX#n%zX$P%zX$`%zX$i%zX$t%zX$u%zX$w%zX$x%zX$y%zX${%zX$|%zX$}%zX%W%zX%X%zX%l%zX%x%zX'm%zX'r%zX's%zX't%zX'u%zX'v%zX'w%zX~O#i!UO#k!TO#n!VO$`!TO~O!z'bO#i!UO#k!TO#n!VO$`!TO~OX#bOY#bOZ#cO[#bO^#dO_#bO`#bOa#eOb#fOc#bOd#bOe#bOf#bOg#gOh#bOi#bOj#bOk#bOl#cOm#cOn#cOo#cOp#cOq#bOr#bOs#bOt#bOu#bOv#bOw#bOx#bOy#fOz#fO{#fO|#bO}#bO!O#bO!P#bO!Q#bO!R#gO!S#hO!T#cO!U#cO!V#cO!W#bO!X#bO!Y#bO!Z#bO![#bO!]#RO!^#SO!_#SO!`#SO!a#SO!b#SO!c#TO!e#UO!f#VO!g#WO!h#_O!i#`O#i!UO#k!TO$`!TO'm#PO~O'm'fO~O%x'iO!s'`X!v'`X!w'`X!x'`X!y'`X!{'`X!|'`X'v'`X'w'`X~P/xO!s$^O!v$WO!w$XO!x$YO!y$ZO!{$[O!|$]O'wzO'v%QX~O'v'lO~O!l'oO~O!l'sO~O$i'tO~O!r$nO!s$gX'j$gX'v$gX~O!q$mO!s$gX'j$gX'v$gX~O!q$mO!r$nO!s$YX'j$YX'v$YX~O!n$lO~P!(dO!m$kO!n$lO~P!(dO'w'{O~O#i!UO#k!TO#n!VO$`!TO'x(PO~O%x&^P'v&^P!x&^P~P!)]O%x(UO'v&[X~O'v(VO~O'v(WO~P3XO'w(^O~O'w(_O~O#n(`O'o(bO~O#T(dO#|&di'j&di~O#U(fO~O#U(hO~O#U(jO~O%x(lO!x&_X'v&_X~O%x(oO!x'hX'v'hX~P3XO!x%oO'v&pX~O'v(rO~OU(uO#c!xO~OU(uO#]!wO#c!xO~O'o(xO~OV(zO'p(yO~P)rOV({O~P)rOV(}O~P)rO#n)TO~OV)YO~P)rO!}#va$w#va$x#va$y#va${#va$|#va$}#va'|#va(O#va(U#va(V#va'o#va#|#va$O#va~O'p&iO'}&iO!i#va!j#va'q#va(P#va(Q#va(R#va(S#va(T#va~P!-dO!}'cX$w'cX$x'cX$y'cX${'cX$|'cX$}'cX'|'cX(O'cX(U'cX(V'cX'o'cX#|'cX$O'cX~O'p&iO'}&iO!i'cX!j'cX'q'cX(P'cX(Q'cX(R'cX(S'cX(T'cX~P!/UO$w#ZO$x#ZO$y#ZO${#[O$|#[O$}#[O!}#ua(U#ua(V#ua'o#ua#|#ua$O#ua~O'|&kO(O&kO!i#ua!j#ua'q#ua(P#ua(Q#ua(R#ua(S#ua(T#ua~P!0vO'n-|O'|-|O(O-|O~P=bO!j)dO~O(U&qO!}#qa(V#qa'o#qa#|#qa$O#qa~O(V&sO!}#pa'o#pa#|#pa$O#pa~O#n)iO~O!k$jO!m$kO!n$lO!q$mO!r$nO!s$YP~O'v$YP~P!3pO'o)lO~P/xO#i!UO#k!TO$`!TO'x)mO'y)nO~O'm)pO~P!4dO#i!UO#k!TO$`!TO'm&|O'n&{O'x&zO'y'PO~O'p)sO'{)sO'|)sO#Q%`X#R%`X#i%`X#k%`X#n%`X$P%`X$`%`X$i%`X$t%`X$u%`X$w%`X$x%`X$y%`X${%`X$|%`X$}%`X%W%`X%X%`X%l%`X'm%`X'r%`X's%`X't%`X'u%`X'z%`X'}%`X'o%`X~O#i!UO#k!TO$`!TO'm&|O'n&{O'x&zO~O'})vO#Q%^X#R%^X#i%^X#k%^X#n%^X$P%^X$`%^X$i%^X$t%^X$u%^X$w%^X$x%^X$y%^X${%^X$|%^X$}%^X%W%^X%X%^X%l%^X'm%^X'r%^X's%^X't%^X'u%^X'z%^X'o%^X~O'z)xO#Q%]X#R%]X#i%]X#k%]X#n%]X$P%]X$`%]X$i%]X$t%]X$u%]X$w%]X$x%]X$y%]X${%]X$|%]X$}%]X%W%]X%X%]X%l%]X'm%]X'r%]X's%]X't%]X'u%]X'o%]X~O%k)zO~O!s%Ra!v%Ra!w%Ra!x%Ra!y%Ra!{%Ra!|%Ra'v%Ra'w%Ra~P/xO!u'[O!s%za!v%za!w%za!x%za!y%za!{%za!|%za#Q%za#R%za#i%za#k%za#n%za$P%za$`%za$i%za$t%za$u%za$w%za$x%za$y%za${%za$|%za$}%za%W%za%X%za%l%za%x%za'm%za'r%za's%za't%za'u%za'v%za'w%za~O$P&eO'm&fO~O!s'`a!v'`a!w'`a!x'`a!y'`a!{'`a!|'`a'v'`a'w'`a~P/xO!s$^O!v$WO!w$XO!x$YO!y$ZO!{$[O!|$]O'wzO'v%Qa~OX#bOY#bOZ#cO[#bO^#dO_#bO`#bOa#eOb#fOc#bOd#bOe#bOf#bOg#gOh#bOi#bOj#bOk#bOl#cOm#cOn#cOo#cOp#cOq#bOr#bOs#bOt#bOu#bOv#bOw#bOx#bOy#fOz#fO{#fO|#bO}#bO!O#bO!P#bO!Q#bO!R#gO!S#hO!T#cO!U#cO!V#cO!W#bO!X#bO!Y#bO!Z#bO![#bO!]#RO!^#SO!_#SO!`#SO!a#SO!b#SO!c#TO!e#UO!f#VO!g#WO!h#_O!i#`O#i!UO#k!TO#n*XO$`!TO'm*YO~O!n$ba!q$ba!r$ba!s$ba'j$ba'v$ba~P! mO!o*^O!p*^O#n*_O~P! mO$i'tO!r$ha!s$ha'j$ha'v$ha~O$i'tO!q$ja!s$ja'j$ja'v$ja~O!q$mO!r$nO!s$Ya'j$Ya'v$Ya~O!n$lO~P!ExO'v*eO~P3XO'o*hO~P3XO%k*lO~O'v&[a~P3XO'v*eO~O!t*pO#Q#^O#R#^O#i!UO#k!TO$`!TO$i#YO$t#YO$u#YO$w#ZO$x#ZO$y#ZO${#[O$|#[O$}#[O'r#QO's#QO't#QO'u#QO~O'v*sO~P!GRO$P*uO'm*tO'v*wO~O#n(`O'o*yO~O'w*zO~O'v+PO~O!x&_a'v&_a~P3XO'w+RO~O!x'ha'v'ha~P3XO!x%oO'v&pa~OU+UO#c!xO~O'o+WO~O'p+XO~P)rO#|+YO'o+WO~O$O+[O~O$O+]O~O$O+^O~O'o+_O~O$O+`O~O$O+aO'o+cO~O$O+dO~O$O+aO'o+fO~O!}'ca$w'ca$x'ca$y'ca${'ca$|'ca$}'ca'|'ca(O'ca(U'ca(V'ca'o'ca#|'ca$O'ca~O'p&iO'}&iO!i'ca!j'ca'q'ca(P'ca(Q'ca(R'ca(S'ca(T'ca~P!KeO'p-}O'}-}O~PBqO'|.OO(O.OO~PDcO'o+lO~O!s!]O'v$kP~O#i!UO#k!TO$`!TO'x+nO~O'o+oO~P!4dO'o+qO~O'})vO#Q%^a#R%^a#i%^a#k%^a#n%^a$P%^a$`%^a$i%^a$t%^a$u%^a$w%^a$x%^a$y%^a${%^a$|%^a$}%^a%W%^a%X%^a%l%^a'm%^a'r%^a's%^a't%^a'u%^a'z%^a'o%^a~O'z)xO#Q%]a#R%]a#i%]a#k%]a#n%]a$P%]a$`%]a$i%]a$t%]a$u%]a$w%]a$x%]a$y%]a${%]a$|%]a$}%]a%W%]a%X%]a%l%]a'm%]a'r%]a's%]a't%]a'u%]a'o%]a~O$O+vO#|%fX%k%fX!s%fX!v%fX!w%fX!x%fX!y%fX!{%fX!|%fX%x%fX'v%fX'w%fX~O#|+xO%k%Ya!s%Ya!v%Ya!w%Ya!x%Ya!y%Ya!{%Ya!|%Ya%x%Ya'v%Ya'w%Ya~O!}+{O~O!m$Zi!n$Zi!q$Zi!r$Zi!s$Zi'j$Zi'v$Zi~P!@PO!o*^O!p*^O#n*_O!q$ei!r$ei!s$ei'j$ei'v$ei~P! mO!q$mO!r$nO!s$Yi'j$Yi'v$Yi~O'v,SO~O#|,TO%k%ta%x%ta'v%ta!x%ta~O$O,VO#|%nX%k%nX%x%nX'v%nX!x%nX!s%nX!v%nX!w%nX!y%nX!{%nX!|%nX'w%nX~O'v,YO~P!GRO'o,[O~P!GRO$P*uO'm*tO'v,^O~O'w,_O~O'v,aO~P3XOU,dO#c!xO~O'o,eO~O!d,fO~O#|,gO'o,eO~O$O+aO'o,nO~O$O+aO'o,pO~O'p-}O'}-}O~P!-dO'p-}O'}-}O~P!/UO'|.OO(O.OO~P!0vO'o,uO'z,sO~O$O+vO#|%fa%k%fa!s%fa!v%fa!w%fa!x%fa!y%fa!{%fa!|%fa%x%fa'v%fa'w%fa~O#|'[X%k'[X!s'[X!v'[X!w'[X!x'[X!y'[X!{'[X!|'[X%x'[X'v'[X'w'[X~PJmO#|+xO%k%Yi!s%Yi!v%Yi!w%Yi!x%Yi!y%Yi!{%Yi!|%Yi%x%Yi'v%Yi'w%Yi~O#n,zO~O!},|O'o,{O~O#|'^X%k'^X%x'^X'v'^X!x'^X~P!)]O#|,TO%k%ti%x%ti'v%ti!x%ti~O$O,VO#|%na%k%na%x%na'v%na!x%na!s%na!v%na!w%na!y%na!{%na!|%na'w%na~O'o-SO~P!GRO$P*uO'm*tO'v-UO~O'v-VO~O'q-XO~O!d-YO~O$O-[O'o-ZO~O$O-]O~O$O-_O'o-^O~O'o-`O~O$O-aO~O$O+aO'o-bO~O'p-}O'}-}O~P!KeO'o-eO'z,sO~O'o-gO~O#n-hO~O$P*uO'm*tO'v-jO~O'q-lO~O'o-qO~O'o-rO~O'o-tO~O$O-vO'o-uO~O'o-wO~O'o-xO~O'o-yO~O'o-{O~O$`#k%W&y$}$|${'x'l#n'{$y$x$w$u$t$i(O$y'|%x'|~",
  goto: "!,|'jPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPP'k'n'tP'tP'y'|P(S)|*n+c,X,{-r.g/b0_1[2a3gP4iPP6Y3g3g3g3g6c7q7t8b9Y9j3[9n=QP?n?u@Y@^@iAQAUArPB]BvB|CSCWC^PPC^DyPPFbPPPFbPPPC^CS7qHRH_HeIVIqPPJ]JfJnJwKOKYKeKqK{LOLXJfL[L_LeLmLyPPLyMTM^MfMpNUNUNhNqNy! aP! d! j! j! j! j! j! j! j! j3g! p!!k!!x!!{!!x'y!#R!#U!#[!#j!#m'y'y!$T!$Z!$_!$c!$_!$u!$_!$_!%R!$_!$_!$_!$_!%w!%}!&T!$_!$_!&[!$_!&g!&n!&{P!'X!'_!'f!'p!(O!(U!([!(b!(l!(v!(|!)[!)b!)h!)n!)t!)z!*Q!*W!*^!*d!*n!*t!+W!+b!+h!+n!,V!,]!,hRVOQUOR&P#OVSOT#ORbUQ^UR#{zQ#utQ&R#PS(y&S&TQ(|&UQ)O&VQ)P&WQ)Q&XQ)T&^Q)U&_Q)V&cQ)W&dQ)X&fQ*V'fS+X(z({Q+Z(}Q+g)YQ+|*YQ,h+[Q,i+]Q,j+^Q,k+`Q,l+aQ,o+dQ-m-[Q-n-]Q-o-_Q-p-aR-z-v!_#tt#P&S&T&U&V&W&X&^&_&c&d&f'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v!^#st#P&S&T&U&V&W&X&^&_&c&d&f'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-vR)g&s!`#rt#P&S&T&U&V&W&X&^&_&c&d&f&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-vR)e&q!c#qt#P&S&T&U&V&W&X&^&_&c&d&f&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v!b#pt#P&S&T&U&V&W&X&^&_&c&d&f&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-vR)c&n!e#ot#P&S&T&U&V&W&X&^&_&c&d&f&n&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v!b#nt#P&S&T&U&V&W&X&^&_&c&d&f&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-vS)]&k.OR)b&n!d#mt#P&S&T&U&V&W&X&^&_&c&d&f&k&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-vS)Z&i-}T)a&n.O!l#lt#P&S&T&U&V&W&X&^&_&c&d&f&i&k&n&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v-}.OT&h#k-|!p#jt#P#k&S&T&U&V&W&X&^&_&c&d&f&i&k&n&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v-|-}.OY'd$[$k'r's*aR,O*^!p#jt#P#k&S&T&U&V&W&X&^&_&c&d&f&i&k&n&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v-|-}.OY'd$[$k'r's*aT*X'o*[#P#at#P#k$[$k&S&T&U&V&W&X&^&_&c&d&f&i&k&n&q&s'f'o'r's(z({(})Y*Y*[*a+[+]+^+`+a+d-[-]-_-a-v-|-}.O!h#Xt#P#k&S&T&U&V&W&X&^&_&c&d&f&i&k&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v!b#zz!Q!r$P$`$w%R%l%p&n&x'W'Z'i'{'}(Q(U(^(l(o*r*t+R+v,V,Z,x-O-|-}.OQ-k-XR-s-lQ&a#gQ)c&oR+k)ddx^a}!R!X!Y!Z#{%P%SQ#yyW$Vz$a$b'kQ%z!{Q&[#_Q'^$WQ'_$XQ(t%yQ)S&]Q*P'[Q*R'`Q*S'aQ+T(uQ+z*TQ,c+UR-W,dR$czQ!O^Q![aQ$i}Q%Q!RS%V!X!YQ%W!ZQ&v#{Q(W%PR([%SQ$u!OS%U!X!YQ%X![Q'n$iQ(X%QS(Z%S%VQ(]%WQ)j&vQ*n(WQ*o([Q,R*eR,},Sm$t!O!X!Y![$i%Q%S%V%W&v(W([*e,ST*Z'o*[d!V`!X$Y$Z$x$z${%o'b,TQ!_ch!gfgh!j!l!n%e%g%i(f(h(jQ!}n!h#it#P#k&S&T&U&V&W&X&^&_&c&d&f&i&k&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v!Q#}z!Q!r$P$`$w%R%l%p&x'W'Z'i'{'}(Q(U(l(o+R+v,V,x-OS$d{$fQ%`!`Q%a!aQ%d!hQ%v!x`&z$Q$S$T&|'P)v)x+x^'c$[$k'o'r's*[*aQ(s%wQ)R&ZW)`&n-|-}.OU)m&{)p,sW*p(^*r*t,ZR+n)n&V!U`cfghntz{!Q!X!`!a!h!j!l!n!r!x#P#k$P$Q$S$T$Y$Z$[$`$f$k$w$x$z${%R%e%g%i%l%o%p%w&S&T&U&V&W&X&Z&^&_&c&d&f&i&k&n&q&s&x&{&|'P'W'Z'b'f'i'o'r's'{'}(Q(U(^(f(h(j(l(o(z({(})Y)n)p)v)x*Y*[*a*r*t+R+[+]+^+`+a+d+v+x,T,V,Z,s,x-O-[-]-_-a-v-|-}.OS&g#i)`R*U'cl$s!O!X!Y![$i%Q%S%V%W&v(W([*e,SR'z$tT'q$k'rQ'e$[S'p$k'rT*_'s*al$r!O!X!Y![$i%Q%S%V%W&v(W([*e,SS'y$s$tR*d'zT*`'s*al$q!O!X!Y![$i%Q%S%V%W&v(W([*e,SU'x$r$s$tS*c'y'zR,Q*dx$o!O!X!Y![$i$r$s$t%Q%S%V%W&v'y'z(W([*d*e,SR'w$px$p!O!X!Y![$i$r$s$t%Q%S%V%W&v'y'z(W([*d*e,SR'w$oQ!^bR+m)jQ%^!]R'g$^T%]!]$^X*q(^*r*t,Z!p#jt#P#k&S&T&U&V&W&X&^&_&c&d&f&i&k&n&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v-|-}.O!Q#}z!Q!r$P$`$w%R%l%p&x'W'Z'i'{'}(Q(U(l(o+R+v,V,x-OX*p(^*r*t,Z#{#]tz!Q!r#P#k$P$`$w%R%l%p&S&T&U&V&W&X&^&_&c&d&f&i&k&n&q&s&x'W'Z'f'i'{'}(Q(U(^(l(o(z({(})Y*Y*r*t+R+[+]+^+`+a+d+v,V,Z,x-O-[-]-_-a-v-|-}.O#z#]tz!Q!r#P#k$P$`$w%R%l%p&S&T&U&V&W&X&^&_&c&d&f&i&k&n&q&s&x'W'Z'f'i'{'}(Q(U(^(l(o(z({(})Y*Y*r*t+R+[+]+^+`+a+d+v,V,Z,x-O-[-]-_-a-v-|-}.OS&l#n&mT+i)b+jQ$bzQ'h$`Q*O'ZR*W'iX$Uz$`'Z'iW$Sz$`'Z'id$z!Q!r%R%l%p'{(U(l(o+RW&y$P&x'W+v](O$w'}(Q,V,x-O!R$Oz!Q!r$P$`$w%R%l%p&x'W'Z'i'{'}(Q(U(l(o+R+v,V,x-O!R#}z!Q!r$P$`$w%R%l%p&x'W'Z'i'{'}(Q(U(l(o+R+v,V,x-OQ'V$QQ'X$SR'Y$TU'W$Q$S$TR,x+xW'T$Q$S$T+xR)r&|Z'S$Q$S$T&|+xY'R$Q$S$T&|+xR+t)x['Q$Q$S$T&|)x+xR+r)v^'O$Q$S$T&|)v)x+xR)u'Pa&}$Q$S$T&|'P)v)x+xR)q&{Q)o&{Q+p)pR-c,sR)t&}R)}'WQ)|'WR,v+vS&w$P&xT){'W+vW$Tz$`'Z'iX&y$P&x'W+va$Rz$P$`&x'W'Z'i+vQ*i(QQ-f,xR-i-OU*k(Q,x-OR-Q,VS'|$w'}X*j(Q,V,x-Od${!Q!r%R%l%p'{(U(l(o+R](O$w'}(Q,V,x-Oq$y!Q!r$w%R%l%p'{'}(Q(U(l(o+R,V,x-OQ(R$xQ(S$zR(T${U(Q$x$z${R-O,TS!W`!XQ'`$YQ'a$ZW(P$x$z${,TQ(m%oR*T'bR'X$TX$`z$a$b'kX$_z$a$b'k!q#jt#P#k&S&T&U&V&W&X&^&_&c&d&f&i&k&n&q&s'f(z({(})Y*Y+[+]+^+`+a+d-[-]-_-a-v-|-}.Og|^_a}!P!R!X!Y!Z%P%SR$g{Q$e{R'm$fR!R_Q%O!QR*m(US$|!Q(Ua%n!r%R%l%p'{(l(o+RR(S${S%r!r%lQ(Y%RQ(n%pQ*f'{Q+Q(lQ+S(oR,b+RQVOR&Q#OTpU&PToU&PW!bde!d!fQ!oiQ%k!pQ(c%_R*{(dQ!cdQ!eeQ%b!dR%c!fQ!ifQ!kgQ!mhQ%f!jQ%h!lQ%j!nQ(e%eQ(g%gQ(i%iQ*|(fQ*}(hR+O(jQ%m!qR%t!tQ%s!rR(k%lZ%p!r%l%q%r(qS!sj!wS!vk%|R%u!uSlU&PR%}!}SmU&PQ!|lQ&O!}R(w%}e!ylm!z!|%{%}&O(v(w+VQXPRqXSTO#OR[TQu]S#vu#wR#wwQ+b)VQ+e)XU,m+b+e,qR,q+gQ*['oR+}*[Q'r$kR*]'rQ*a'sR,P*aQ'u$mQ'v$nT*b'u'vQ*r(^S,X*r,ZR,Z*tQ(a%[R*x(aQ*v(_U,]*v,`-TQ,`*zR-T,_Q,t+pR-d,tQ)w'QR+s)wQ)y'RR+u)yQ&x$PR)k&xQ+w)|R,w+wQ+y)}R,y+yQ'}$wR*g'}Q,U*iR-P,UQ,W*kR-R,WQ$azS'j$a'kR'k$bQ']$VR*Q']Q&j#mW)[&j)^+h,rQ)^&lQ+h)aR,r+iQ&m#nS)_&m+jR+j)bQ&r#rR)f&rQ&t#sR)h&tQ}^Q!P_Q!ZaY$h}!P!Z%P%SQ%P!RT%S!X!YQ!X`R%T!XS%q!r%lS(p%q(qR(q%rS!zlmW%x!z%{(v+VQ%{!|S(v%}&OR+V(w",
  nodeNames: "⚠ BASE PREFIX SELECT CONSTRUCT DESCRIBE WHERE DISTINCT REDUCED STR LANG LANGMATCHES DATATYPE ASK BOUND IRI URI BNODE RAND ABS CEIL FLOOR ROUND CONCAT STRLEN UCASE LCASE ENCODE_FOR_URI CONTAINS STRSTARTS STRENDS STRBEFORE STRAFTER YEAR MONTH DAY HOURS MINUTES SECONDS TIMEZONE TZ NOW UUID STRUUID MD5 SHA1 SHA256 SHA384 SHA512 COALESCE IF STRLANG STRDT SAMETERM ISIRI ISURI ISBLANK ISLITERAL ISNUMERIC COUNT SUM MIN MAX AVG SAMPLE GROUP_CONCAT SEPARATOR SUBSTR REPLACE REGEX EXISTS NOT IN GROUP BY HAVING ORDER ASC DESC LIMIT OFFSET VALUES UNDEF UNION OPTIONAL MINUS GRAPH SERVICE SILENT FILTER BIND AS FROM NAMED TRUE FALSE LOAD INTO TO CLEAR DROP CREATE ADD MOVE COPY INSERT DATA DELETE WITH DEFAULT ALL USING Comment Unit Query Prologue BaseDecl IriRef PrefixDecl Pname_ns SelectQuery SelectClause Var Expression ConditionalOrExpression ConditionalAndExpression ValueLogical RelationalExpression NumericExpression AdditiveExpression MultiplicativeExpression UnaryExpression PrimaryExpression BrackettedExpression BuiltInCall Aggregate ; String , Nil ExpressionList SubstringExpression StrReplaceExpression RegexExpression ExistsFunc GroupGraphPattern SubSelect WhereClause SolutionModifier GroupClause GroupCondition FunctionCall Iri PrefixedName Pname_ln ArgList HavingClause HavingCondition Constraint OrderClause OrderCondition LimitOffsetClauses LimitClause Integer OffsetClause ValuesClause DataBlock InlineDataOneVar DataBlockValue RDFLiteral Langtag ^^ NumericLiteral NumericLiteralUnsigned Decimal Double NumericLiteralPositive IntegerPositive DecimalPositive DoublePositive NumericLiteralNegative IntegerNegative DecimalNegative DoubleNegative BooleanLiteral InlineDataFull GroupGraphPatternSub TriplesBlock TriplesSameSubjectPath VarOrTerm GraphTerm BlankNode Blank_node_label Anon PropertyListPathNotEmpty VerbPath Path PathAlternative PathSequence PathEltOrInverse PathElt PathPrimary PathNegatedPropertySet PathOneInPropertySet PathMod VerbSimple ObjectListPath ObjectPath GraphNodePath TriplesNodePath CollectionPath ] [ BlankNodePropertyListPath ObjectList Object GraphNode TriplesNode Collection BlankNodePropertyList PropertyListNotEmpty Verb VarOrIri PropertyListPath . GraphPatternNotTriples GroupOrUnionGraphPattern OptionalGraphPattern MinusGraphPattern GraphGraphPattern ServiceGraphPattern Filter Bind InlineData NotExistsFunc IriOrFunction DatasetClause DefaultGraphClause SourceSelector NamedGraphClause ConstructQuery ConstructTemplate ConstructTriples TriplesSameSubject PropertyList TriplesTemplate DescribeQuery AskQuery Update Update1 Load GraphRef Clear GraphRefAll Drop Add GraphOrDefault Move Copy Create InsertData QuadData Quads QuadsNotTriples DeleteData DeleteWhere QuadPattern Modify DeleteClause InsertClause UsingClause Keyword",
  maxTerm: 329,
  nodeProps: [
    ["openedBy", 211,"["],
    ["closedBy", 212,"]"]
  ],
  skippedNodes: [0,112,271,272],
  repeatNodeCount: 30,
  tokenData: "!0m~R!]X^$zpq$zqr%ors%|st.htu0dvw3Pwx3[xy;vyz<sz{<x{|<}|}>w}!O>|!O!P@v!P!QAx!Q![A}![!]Bl!]!^I]!^!_Ib!_!`LR!`!aLW!a!bLe!b!cMl!c!}Nr!}#O!&Q#P#Q!&}#Q#R!'S#R#S!'a#T#U!+|#U#oNr#o#p!-x#p#q!-}#q#r!.[#y#z$z$f$g$z$g%W!%o%W%oNr%o%p!%o%p&aNr&a&b!%o&b&jNr&j1p!!l4U4d!!l4e#BY!!l#BY#BZ!.a#BZ$IS!!l$IS$I_$z$I`$Ib!!l$I|$JO$z$JT$JU$z$KV$KW$z$Kh%#t!!l&/x&Et!!l&FU&FV$z&FV;'S!!l;'S;:j!%i?&r?Ah!!l?BY?Mn!!l~%PY'l~X^$zpq$z#y#z$z$f$g$z#BY#BZ$z$IS$I_$z$I|$JO$z$JT$JU$z$KV$KW$z&FU&FV$zR%tP'nP!_!`%wQ%|O(PQ~&PXOY&lZ]&l^r&lrs)ms#O&l#O#P'a#P;'S&l;'S;=`)g<%lO&l~&oXOY&lZ]&l^r&lrs'[s#O&l#O#P'a#P;'S&l;'S;=`)g<%lO&l~'aO's~~'deOY&lZ]&l^r&lrs(usw&lwx&lx#O&l#O#P'a#P#U&l#U#V&l#V#Y&l#Y#Z&l#Z#b&l#b#c&l#c#f&l#f#g&l#g#h&l#h#i&l#i;'S&l;'S;=`)g<%lO&l~(zX's~OY&lZ]&l^r&lrs'[s#O&l#O#P'a#P;'S&l;'S;=`)g<%lO&l~)jP;=`<%l&l~)rP's~rs)u~)xVOr)urs*_s#O)u#O#P+f#P;'S)u;'S;=`.b<%lO)u~*bVOr)urs*ws#O)u#O#P+f#P;'S)u;'S;=`.b<%lO)u~*zVOr)urs+as#O)u#O#P+f#P;'S)u;'S;=`.b<%lO)u~+fO'u~~+icOr)urs,tsw)uwx)ux#O)u#O#P+f#P#U)u#U#V)u#V#Y)u#Y#Z)u#Z#b)u#b#c)u#c#f)u#f#g)u#g#h)u#h#i)u#i;'S)u;'S;=`.b<%lO)u~,wVOr)urs-^s#O)u#O#P+f#P;'S)u;'S;=`.b<%lO)u~-aVOr)urs-vs#O)u#O#P+f#P;'S)u;'S;=`.b<%lO)u~-{V'u~Or)urs+as#O)u#O#P+f#P;'S)u;'S;=`.b<%lO)u~.eP;=`<%l)u~.mV#d~OY.hYZ/SZs.hst.ht;'S.h;'S;=`0^<%lO.h~/XP#d~st/[~/_VOY/tYZ/SZs/tst/[t;'S/t;'S;=`0W<%lO/t~/wTOY/tYZ/SZ;'S/t;'S;=`0W<%lO/t~0ZP;=`<%l/t~0aP;=`<%l.h~0g`!Q![1i!c!}1i#R#S1i#T#o1i%W%o1i%p&a1i&b1p1i4U4d1i4e$IS1i$I`$Ib1i$Kh%#t1i&/x&Et1i&FV;'S1i;'S;:j2y?&r?Ah1i?BY?Mn1i~1nc#n~!Q![1i!c!}1i#R#S1i#T#o1i$}%O1i%W%o1i%p&a1i&b1p1i1p4U1i4U4d1i4e$IS1i$I`$Ib1i$Je$Jg1i$Kh%#t1i&/x&Et1i&FV;'S1i;'S;:j2y?&r?Ah1i?BY?Mn1i~2|P;=`<%l1i~3SPvw3V~3[O(U~~3_XOY3zZ]3z^w3zwx6{x#O3z#O#P4o#P;'S3z;'S;=`6u<%lO3z~3}XOY3zZ]3z^w3zwx4jx#O3z#O#P4o#P;'S3z;'S;=`6u<%lO3z~4oO'r~~4reOY3zZ]3z^r3zrs3zsw3zwx6Tx#O3z#O#P4o#P#U3z#U#V3z#V#Y3z#Y#Z3z#Z#b3z#b#c3z#c#f3z#f#g3z#g#h3z#h#i3z#i;'S3z;'S;=`6u<%lO3z~6YX'r~OY3zZ]3z^w3zwx4jx#O3z#O#P4o#P;'S3z;'S;=`6u<%lO3z~6xP;=`<%l3z~7QP'r~wx7T~7WVOw7Twx7mx#O7T#O#P8t#P;'S7T;'S;=`;p<%lO7T~7pVOw7Twx8Vx#O7T#O#P8t#P;'S7T;'S;=`;p<%lO7T~8YVOw7Twx8ox#O7T#O#P8t#P;'S7T;'S;=`;p<%lO7T~8tO't~~8wcOr7Trs7Tsw7Twx:Sx#O7T#O#P8t#P#U7T#U#V7T#V#Y7T#Y#Z7T#Z#b7T#b#c7T#c#f7T#f#g7T#g#h7T#h#i7T#i;'S7T;'S;=`;p<%lO7T~:VVOw7Twx:lx#O7T#O#P8t#P;'S7T;'S;=`;p<%lO7T~:oVOw7Twx;Ux#O7T#O#P8t#P;'S7T;'S;=`;p<%lO7T~;ZV't~Ow7Twx8ox#O7T#O#P8t#P;'S7T;'S;=`;p<%lO7T~;sP;=`<%l7T~;{T'm~XY<[YZ<[]^<[pq<[yz<n~<_TXY<[YZ<[]^<[pq<[yz<n~<sO$P~~<xO'o~~<}O'p~~=SQ'|~!O!P=Y!Q![>Y~=]P!Q![=`~=eR$x~!Q![=`!g!h=n#X#Y=n~=qR{|=z}!O=z!Q![>Q~=}P!Q![>Q~>VP$y~!Q![>Q~>_S$w~!O!P>k!Q![>Y!g!h=n#X#Y=n~>nR!Q![=`!g!h=n#X#Y=n~>|O$O~~?RQ(O~!O!P?X!Q![@X~?[P!Q![?_~?dR$|~!Q![?_!g!h?m#X#Y?m~?pR{|?y}!O?y!Q![@P~?|P!Q![@P~@UP$}~!Q![@P~@^S${~!O!P@j!Q![@X!g!h?m#X#Y?m~@mR!Q![?_!g!h?m#X#Y?m~@{P%x~!Q![AO~ATR$t~!Q![AO!g!hA^#X#YA^~AaR{|Aj}!OAj!Q![Ap~AmP!Q![Ap~AuP$u~!Q![Ap~A}O'}~~BSS$i~!O!PB`!Q![A}!g!hA^#X#YA^~BcR!Q![AO!g!hA^#X#YA^~Bqc#k~uvC|!Q![Df![!]Df!c!}Df#O#PGt#R#SDf#T#oDf%W%oDf%p&aDf&b1pDf4U4dDf4e$ISDf$I`$IbDf$Kh%#tDf&/x&EtDf&FV;'SDf;'S;:jIV?&r?AhDf?BY?MnDf~DPR!Q![DY!c!iDY#T#ZDY~D]R!Q![Df!c!iDf#T#ZDf~Dkh$`~uvC|}!ODf!O!PFV!Q![Df![!]Df!c!}Df#O#PGt#R#SDf#T#oDf$}%ODf%W%oDf%p&aDf&b1pDf1p4UDf4U4dDf4e$ISDf$I`$IbDf$Je$JgDf$Kh%#tDf&/x&EtDf&FV;'SDf;'S;:jIV?&r?AhDf?BY?MnDf~FYhuvC|}!ODf!O!PFV!Q![Df![!]Df!c!}Df#O#PGt#R#SDf#T#oDf$}%ODf%W%oDf%p&aDf&b1pDf1p4UDf4U4dDf4e$ISDf$I`$IbDf$Je$JgDf$Kh%#tDf&/x&EtDf&FV;'SDf;'S;:jIV?&r?AhDf?BY?MnDf~GwdqrDfstDftuDfuvDfvwDfwxDfxyDfyzDfz{Df{|Df|}Df}!ODf!O!PDf!P!QDf!]!^Df!_!`Df!a!bDf!b!cDf#R#SDf#r#sDf~IYP;=`<%lDf~IbO#|~VIgZ(QQqrJYs!^JY!_!`KZ!`!aKO!a#OJY#P#QJY#R#SJY#T#oJY#r;'SJY;'S;=`KT<%lOJYTJ]ZqrJYs!^JY!_!`JY!`!aKO!a#OJY#P#QJY#R#SJY#T#oJY#r;'SJY;'S;=`KT<%lOJYTKTO#iTTKWP;=`<%lJYVK`Z(SQqrJYs!^JY!_!`JY!`!aKO!a#OJY#P#QJY#R#SJY#T#oJY#r;'SJY;'S;=`KT<%lOJY~LWO'q~~L]P(R~!_!`L`~LeO(T~~Lj`'{~!Q![1i!c!}1i#R#S1i#T#o1i%W%o1i%p&a1i&b1p1i4U4d1i4e$IS1i$I`$Ib1i$Kh%#t1i&/x&Et1i&FV;'S1i;'S;:j2y?&r?Ah1i?BY?Mn1i~MoQ!c!}Mu#T#oMu~MzR$p~}!ONT!c!}Mu#T#oMu~NWR!Q![Na!c!}Na#T#oNa~NfS$p~}!ONT!Q![Na!c!}Na#T#oNa~Nwk&y~}!O!!l!O!P!$T!Q![!!l![!]Bl!c!}Nr#R#SNr#T#oNr$g$}!%o$}%ONr%O%W!%o%W%oNr%o%p!%o%p&aNr&a&b!%o&b&jNr&j1p!!l1p4U!!l4U4d!!l4e$IS!!l$I`$Ib!!l$Je$Jg!!l$Kh%#t!!l&/x&Et!!l&FV;'S!!l;'S;:j!%i?&r?Ah!!l?BY?Mn!!l~!!of}!O!!l!O!P!$T!Q![!!l![!]Bl!c!}!!l#R#S!!l#T#o!!l$}%O!!l%W%o!!l%p&a!!l&b1p!!l1p4U!!l4U4d!!l4e$IS!!l$I`$Ib!!l$Je$Jg!!l$Kh%#t!!l&/x&Et!!l&FV;'S!!l;'S;:j!%i?&r?Ah!!l?BY?Mn!!l~!$We}!O!!l!O!P!$T!Q![!!l!c!}!!l#R#S!!l#T#o!!l$}%O!!l%W%o!!l%p&a!!l&b1p!!l1p4U!!l4U4d!!l4e$IS!!l$I`$Ib!!l$Je$Jg!!l$Kh%#t!!l&/x&Et!!l&FV;'S!!l;'S;:j!%i?&r?Ah!!l?BY?Mn!!l~!%lP;=`<%l!!l~!%tS&y~!c!}!%o#R#S!%o#T#o!%o$g&j!%o~!&VT%l~XY!&fYZ!&f]^!&fpq!&f#P#Q!&x~!&iTXY!&fYZ!&f]^!&fpq!&f#P#Q!&x~!&}O%X~~!'SO%k~~!'XP'y~#Q#R!'[~!'aO$q~~!'fT&y~![!]!'u!c!}!%o#R#S!%o#T#o!%o$g&j!%o~!'x`!Q![!(z!c!}!(z#R#S!(z#T#o!(z%W%o!(z%p&a!(z&b1p!(z4U4d!(z4e$IS!(z$I`$Ib!(z$Kh%#t!(z&/x&Et!(z&FV;'S!(z;'S;:j!+v?&r?Ah!(z?BY?Mn!(z~!)Pe%W~}!O!(z!O!P!*b!Q![!(z!c!}!(z#R#S!(z#T#o!(z$}%O!(z%W%o!(z%p&a!(z&b1p!(z1p4U!(z4U4d!(z4e$IS!(z$I`$Ib!(z$Je$Jg!(z$Kh%#t!(z&/x&Et!(z&FV;'S!(z;'S;:j!+v?&r?Ah!(z?BY?Mn!(z~!*ee}!O!(z!O!P!*b!Q![!(z!c!}!(z#R#S!(z#T#o!(z$}%O!(z%W%o!(z%p&a!(z&b1p!(z1p4U!(z4U4d!(z4e$IS!(z$I`$Ib!(z$Je$Jg!(z$Kh%#t!(z&/x&Et!(z&FV;'S!(z;'S;:j!+v?&r?Ah!(z?BY?Mn!(z~!+yP;=`<%l!(z~!,Tk&y~'x~}!O!!l!O!P!$T!Q![!!l![!]Bl!c!}Nr#R#SNr#T#oNr$g$}!%o$}%ONr%O%W!%o%W%oNr%o%p!%o%p&aNr&a&b!%o&b&jNr&j1p!!l1p4U!!l4U4d!!l4e$IS!!l$I`$Ib!!l$Je$Jg!!l$Kh%#t!!l&/x&Et!!l&FV;'S!!l;'S;:j!%i?&r?Ah!!l?BY?Mn!!l~!-}O'w~V!.SP'zS#p#q!.VR!.[O(VR~!.aO'v~~!.fq'l~X^$zpq$z}!O!!l!O!P!$T!Q![!!l![!]Bl!c!}!!l#R#S!!l#T#o!!l#y#z$z$f$g$z$}%O!!l%W%o!!l%p&a!!l&b1p!!l1p4U!!l4U4d!!l4e#BY!!l#BY#BZ!.a#BZ$IS!!l$IS$I_$z$I`$Ib!!l$I|$JO$z$JT$JU$z$Je$Jg!!l$KV$KW$z$Kh%#t!!l&/x&Et!!l&FU&FV$z&FV;'S!!l;'S;:j!%i?&r?Ah!!l?BY?Mn!!l",
  tokenizers: [0, 1, 2],
  topRules: {"Unit":[0,113]},
  specialized: [{term: 271, get: (value, stack) => (caseInsensitive(value) << 1), external: caseInsensitive}],
  tokenPrec: 5071
});

const SparqlLanguage = LRLanguage.define({
    parser: parser.configure({
        props: [
            styleTags({
                Comment: tags.comment,
                "BASE PREFIX SELECT CONSTRUCT DESCRIBE WHERE DISTINCT REDUCED STR LANG LANGMATCHES DATATYPE ASK BOUND IRI URI BNODE RAND ABS CEIL FLOOR ROUND CONCAT STRLEN UCASE LCASE ENCODE_FOR_URI CONTAINS STRSTARTS STRENDS STRBEFORE STRAFTER YEAR MONTH DAY HOURS MINUTES SECONDS TIMEZONE TZ NOW UUID STRUUID MD5 SHA1 SHA256 SHA384 SHA512 COALESCE IF STRLANG STRDT SAMETERM ISIRI ISURI ISBLANK ISLITERAL ISNUMERIC COUNT SUM MIN MAX AVG SAMPLE GROUP_CONCAT SEPARATOR SUBSTR REPLACE REGEX EXISTS NOT IN GROUP BY HAVING ORDER ASC DESC LIMIT OFFSET VALUES UNDEF UNION OPTIONAL MINUS GRAPH SERVICE SILENT FILTER BIND AS FROM NAMED LOAD INTO TO CLEAR DROP CREATE ADD MOVE COPY INSERT DATA DELETE WITH DEFAULT ALL USING": tags.keyword,
                "Var ObjectListPath/..": tags.variableName,
                String: tags.string,
                Integer: tags.integer,
                "Double Decimal": tags.float,
                "{ }": tags.brace,
                Langstag: tags.annotation,
                "TRUE FALSE": tags.bool,
                "VerbPath Namespace IriRef": tags.namespace,
                "Iri": tags.url,
                "RDFLiteral/Iri": tags.typeName,
            }),
            foldNodeProp.add({
                GroupGraphPattern: foldInside,
                QuadData: foldInside,
                Prologue(tree) { return { from: tree.from + 7, to: tree.to - 0 }; }
            }),
        ]
    }),
});
function sparql() {
    return new LanguageSupport(SparqlLanguage);
}

export { SparqlLanguage, sparql };
